Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.order
Class OrderValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.order.OrderValue

Direct Known Subclasses:
  GiftRegistryValue

public class OrderValue
extends SmartValue

The Order class collects OrderLines and provides indirect access to the Items they contain. An OrderLine is an Item and the quantity that the customer intends to by. It is the conceptual equivalent of a shopping cart or basket. The order combines the features of a list and a map. It is a list so that the positioning of the items in the order is preserved. The Order is responsible for ensuring that each item appears only once in the list and for adjusting the quantity as necessary.. When an Item is added to an Order an OrderLine is created. If an OrderLine for that Item already exists its quantity is adjusted..

See Also:
  `Order`, `OrderHome`, `Order.getOrderByValue()`, `Order.setOrderByValue(OrderValue)`, Serialized Form

Field Summary
`SmartHandle` | `customer` customer [Order] <>------> [`theory.smart.ebusiness.customer.Customer`]
`java.lang.String` | `key` key [Order] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.LinkedList` | `orderLines` orderLine (List) [Order] <*>------> [`theory.smart.ebusiness.order.OrderLine`] 0..*
`WorkflowContext` | `status` status [Order] <*>------> [`theory.smart.ebusiness.order.OrderWorkflow`]

Constructor Summary
`protected` | `OrderValue()` Only get/setOrderByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public java.lang.String key

                        key
       [Order] <*>------> [String] (Primary Key)

### orderLines

    public com.sun.java.util.collections.LinkedList orderLines

                        orderLine (List)
       [Order] <*>------> [theory.smart.ebusiness.order.OrderLine]
                           0..*

### status

    public WorkflowContext status

                        status
       [Order] <*>------> [theory.smart.ebusiness.order.OrderWorkflow]

### customer

    public SmartHandle customer

                        customer
       [Order] <>------> [theory.smart.ebusiness.customer.Customer]

Constructor Detail

### OrderValue

    protected OrderValue()

  Only get/setOrderByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.